Subject: Re: [PATCH repost] sched: export sched_set/getaffinity to modules

From: Oleg Nesterov <[email-masked]>
Date: Thu, 15 Jul 2010 02:05:07 +0200

On 07/14, Sridhar Samudrala wrote:
>
> OK. So we want to create a thread that is a child of kthreadd, but inherits the cgroup/cpumask
> from the caller. How about an exported kthread function kthread_create_in_current_cg()
> that does this?

Well. I must admit, this looks a bit strange to me ;)

Instead of exporting sched_xxxaffinity() we export the new function
which calls them. And I don't think this new helper is very useful
in general. May be I am wrong...

Oleg.